package IntegrationObject;

import java.beans.*;
import java.lang.reflect.*;
import java.lang.*;
import java.util.*;
import com.ibm.HostPublisher.IntegrationObject.*;

public class Mcat_conditionalBeanInfo extends SimpleBeanInfo
{ 
   ResourceBundle res = ResourceBundle.getBundle("com.ibm.HostPublisher.IntegrationObject.HPub_Resources",
                                                 Locale.getDefault());

   public BeanInfo[] getAdditionalBeanInfo()
   {
     try
     {
       BeanInfo hPubBi1 = Introspector.getBeanInfo(Mcat_conditional.class.getSuperclass());
 
       BeanInfo[] arrayOfBIs = { hPubBi1 };
       return arrayOfBIs;
     }
     catch (IntrospectionException e)
     {
       e.printStackTrace();
     }

     return null;
   }

  public PropertyDescriptor[] getPropertyDescriptors()
  { try
    { // Generated Code
      String stringPackageName =  new String("IntegrationObject");


     
      PropertyDescriptor pdAuth_guide = new PropertyDescriptor("auth_guide", Class.forName(stringPackageName + "." + "Mcat_conditional"),
                                        "getAuth_guide",null);
     
      PropertyDescriptor pdAuthor_index = new PropertyDescriptor("author_index", Class.forName(stringPackageName + "." + "Mcat_conditional"),
                                        "getAuthor_index",null);
     
      PropertyDescriptor pdJohn = new PropertyDescriptor("john", Class.forName(stringPackageName + "." + "Mcat_conditional"),
                                        "getJohn",null);
      PropertyDescriptor pdAuth = new PropertyDescriptor("auth", Class.forName(stringPackageName + "." + "Mcat_conditional"),
                                        "getAuth","setAuth");
     


      IndexedPropertyDescriptor pdAuth_guidelast = new IndexedPropertyDescriptor("auth_guidelast", 
                                                      Class.forName(stringPackageName + "." + "Mcat_conditional"),
                                                      "getAuth_guidelast", null, "getAuth_guidelast", null); 
      IndexedPropertyDescriptor pdAuth_guidefirst = new IndexedPropertyDescriptor("auth_guidefirst", 
                                                      Class.forName(stringPackageName + "." + "Mcat_conditional"),
                                                      "getAuth_guidefirst", null, "getAuth_guidefirst", null); 
      IndexedPropertyDescriptor pdAuthor_indexall_data = new IndexedPropertyDescriptor("author_indexall_data", 
                                                      Class.forName(stringPackageName + "." + "Mcat_conditional"),
                                                      "getAuthor_indexall_data", null, "getAuthor_indexall_data", null); 

      PropertyDescriptor pdHPubXMLProperties = new PropertyDescriptor("hPubXMLProperties",
                                                     com.ibm.HostPublisher.IntegrationObject.HPubCommon.class, 
                                                     "getHPubXMLProperties",null); 

      PropertyDescriptor pdHPubStartPoolName = new PropertyDescriptor("hPubStartPoolName",
                                                     com.ibm.HostPublisher.IntegrationObject.HPubCommon.class, 
                                                     "getHPubStartPoolName","setHPubStartPoolName"); 

      PropertyDescriptor pdHPubStartChainName = new PropertyDescriptor("hPubStartChainName",
                                                     com.ibm.HostPublisher.IntegrationObject.HPubCommon.class, 
                                                     "getHPubStartChainName", null); 

      PropertyDescriptor pdHPubEndChainName = new PropertyDescriptor("hPubEndChainName",
                                                     com.ibm.HostPublisher.IntegrationObject.HPubCommon.class, 
                                                     "getHPubEndChainName", null); 

      PropertyDescriptor pdHPubStartType = new PropertyDescriptor("hPubStartType",
                                                     com.ibm.HostPublisher.IntegrationObject.HPubCommon.class, 
                                                     "getHPubStartType", null); 

      PropertyDescriptor pdHPubEndType = new PropertyDescriptor("hPubEndType",
                                                     com.ibm.HostPublisher.IntegrationObject.HPubCommon.class, 
                                                     "getHPubEndType", null); 

      PropertyDescriptor pdHPubErrorException = new PropertyDescriptor("hPubErrorException",
                                                    com.ibm.HostPublisher.IntegrationObject.HPubCommon.class, 
                                                    "getHPubErrorException", null); 
      String hPubExceptionPropDesc = res.getString("hPubExceptionPropDesc");
      pdHPubErrorException.setShortDescription(hPubExceptionPropDesc);



      PropertyDescriptor pdHPubScreenState = new PropertyDescriptor("hPubScreenState",
                                                                    Class.forName(stringPackageName + "." + "Mcat_conditional"),   
                                                                    "getHPubScreenState", null); 

      PropertyDescriptor pdHPubMacroMessage = new PropertyDescriptor("hPubMacroMessage",
                                                                     Class.forName(stringPackageName + "." + "Mcat_conditional"), 
                                                                     "getHPubMacroMessage", null); 

      PropertyDescriptor[] arrayOfPDs = { 
                                          pdAuth_guide,
                                          pdAuthor_index,
                                          pdJohn,
                                          pdAuth,
                                          pdAuth_guidelast,
                                          pdAuth_guidefirst,
                                          pdAuthor_indexall_data,
                                          pdHPubXMLProperties,
                                          pdHPubStartPoolName,
                                          pdHPubStartChainName,
                                          pdHPubEndChainName,
                                          pdHPubStartType,
                                          pdHPubEndType,
                                          pdHPubErrorException,
                                          pdHPubMacroMessage,
                                          pdHPubScreenState
                                        };
      return arrayOfPDs;
    }
    catch (Exception e) 
    { System.out.println(e);
      return null;
    }
  }

  // ***** *****
  public MethodDescriptor[] getMethodDescriptors() 
  {
     try
     { 
        MethodDescriptor md1 = new MethodDescriptor(getMethod(com.ibm.HostPublisher.IntegrationObject.HPubCommon.class, "processRequest"));
        String procReqDesc = res.getString("procReqDesc");
        md1.setShortDescription(procReqDesc);


        MethodDescriptor md2 = new MethodDescriptor(getMethod(com.ibm.HostPublisher.IntegrationObject.HPubCommon.class, "doHPTransaction"));
        String doHPTransDesc = res.getString("doHPTransDesc");
        md2.setShortDescription(doHPTransDesc);
        
        // method for receiving event
        MethodDescriptor md3 = new MethodDescriptor(getMethod(com.ibm.HostPublisher.IntegrationObject.HPubCommon.class, "hPubStartPerformed")); 
        String hPubStartPerfDesc = res.getString("hPubStartPerfDesc");
        md3.setShortDescription(hPubStartPerfDesc);

        MethodDescriptor[] arrayOfMDs = { md1,
                                          md2,
                                          md3
                                        }; 
        return arrayOfMDs;
     
      } 
      catch (IntrospectionException e) 
      {
        e.printStackTrace();
      }
      return null;
  }

  Method getMethod(Class cls, String methodName) throws IntrospectionException 
  { Method methods[] = cls.getMethods();

    for (int i=0; i < methods.length; i++)
    { if (methods[i].getName().equals(methodName))
      { return methods[i];
      }
    }
    throw new IntrospectionException("No method \"" + methodName);
  }

  // ***** *****
  public EventSetDescriptor[] getEventSetDescriptors()
  { try
    {  EventSetDescriptor eventHPubReqComplete = 
         new EventSetDescriptor(com.ibm.HostPublisher.IntegrationObject.HPubCommon.class,
                                "requestComplete",
                                com.ibm.HostPublisher.IntegrationObject.HPubReqCompleteListener.class,
                                "hPubReqComplete");
       
       String reqCompleteName = res.getString("reqCompleteName");
       eventHPubReqComplete.setDisplayName(reqCompleteName);
       String reqCompleteDesc = res.getString("reqCompleteDesc");
       eventHPubReqComplete.setShortDescription(reqCompleteDesc);


       EventSetDescriptor[] arrayOfESDs = {
                                           eventHPubReqComplete
                                          };

       return arrayOfESDs;
    }
    catch (IntrospectionException e) 
    { System.out.println(e);
      return null;
    }
  }

}



